Bug 1573999 - Review Request: golang-github-pquerna-cachecontrol - Golang HTTP Cache-Control Parser and Interpretation
Summary: Review Request: golang-github-pquerna-cachecontrol - Golang HTTP Cache-Contro...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jared Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 16:23 UTC by Robert-André Mauchin 🐧
Modified: 2018-06-14 18:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-02 20:43:06 UTC
Type: ---
jsmith.fedora: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2018-05-02 16:23:40 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740599-golang-github-pquerna-cachecontrol/golang-github-pquerna-cachecontrol.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/dnscrypt-proxy/fedora-rawhide-x86_64/00740599-golang-github-pquerna-cachecontrol/golang-github-pquerna-cachecontrol-0-0.1.20180413git525d0eb.fc29.src.rpm

Description:
cachecontrol implements RFC 7234 Hypertext Transfer Protocol (HTTP/1.1): 
Caching. It does this by parsing the Cache-Control and other headers, 
providing information about requests and responses -- but cachecontrol does 
not implement an actual cache backend, just the control plane to make 
decisions about if a particular response is cachable.

Fedora Account System Username: eclipseo

Comment 1 Jared Smith 2018-05-15 00:19:59 UTC
I have reviewed this package, and it conforms to the Fedora Packaging Guidelines.  It builds cleanly in mock, and is APPROVED.

Comment 2 Gwyn Ciesla 2018-05-17 13:06:37 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-pquerna-cachecontrol

Comment 3 Fedora Update System 2018-05-17 15:41:31 UTC
golang-github-pquerna-cachecontrol-0-0.1.20180517gitfd225a2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e5126ab464

Comment 4 Fedora Update System 2018-05-17 19:03:56 UTC
golang-github-facebookgo-pidfile-0-0.1.20180517gitf242e29.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9f787ad4c

Comment 5 Fedora Update System 2018-05-17 19:25:49 UTC
golang-github-pquerna-cachecontrol-0-0.2.20180517git0923c70.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-af840e2ff2

Comment 6 Fedora Update System 2018-05-19 04:20:36 UTC
golang-github-facebookgo-pidfile-0-0.1.20180517gitf242e29.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f9f787ad4c

Comment 7 Fedora Update System 2018-05-19 04:20:39 UTC
golang-github-pquerna-cachecontrol-0-0.2.20180517git0923c70.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-af840e2ff2

Comment 8 Fedora Update System 2018-05-26 15:16:29 UTC
golang-github-pquerna-cachecontrol-0-0.2.20180517git0923c70.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b320f64c67

Comment 9 Fedora Update System 2018-05-26 20:37:00 UTC
golang-github-pquerna-cachecontrol-0-0.2.20180517git0923c70.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b320f64c67

Comment 10 Fedora Update System 2018-06-02 20:43:06 UTC
golang-github-facebookgo-pidfile-0-0.1.20180517gitf242e29.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-06-02 20:43:08 UTC
golang-github-pquerna-cachecontrol-0-0.2.20180517git0923c70.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-06-14 18:15:16 UTC
golang-github-pquerna-cachecontrol-0-0.2.20180517git0923c70.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.